GraphModelEvent.GraphModelChange (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.event.GraphModelEvent.GraphModelChange interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Interface GraphModelEvent.GraphModelChange

All Superinterfaces:
  GraphLayoutCacheEvent.GraphLayoutCacheChange

All Known Implementing Classes:
  DefaultGraphModel.GraphModelEdit, DefaultGraphModel.GraphModelLayerEdit

Enclosing interface:
  GraphModelEvent

public static interface GraphModelEvent.GraphModelChange
extends GraphLayoutCacheEvent.GraphLayoutCacheChange

Defines the interface for objects that may be included into a GraphModelEvent to describe a model change.

Method Summary
`ConnectionSet` | `getConnectionSet()` Returns a connection set representing the graph structure after the change was applied
`ParentMap` | `getParentMap()` Returns a parent map representing the group structure after the change was applied
`ConnectionSet` | `getPreviousConnectionSet()` Returns a connection set representing the graph structure before the change was applied ( an "undo" of the change).
`ParentMap` | `getPreviousParentMap()` Returns a parent map representing the group structure before the change was applied ( an "undo" of the change )
`CellView[]` | `getViews(GraphLayoutCache view)` Allows a `GraphLayoutCache` to retrieve an array of `CellViews` that was previously stored with `putViews(GraphLayoutCache, CellView[])`.
`void` | `putViews(GraphLayoutCache view, CellView[] cellViews)` Allows a `GraphLayoutCache` to store cell views for cells that have been removed.

Methods inherited from interface org.jgraph.event.GraphLayoutCacheEvent.GraphLayoutCacheChange
`getAttributes, getChanged, getContext, getDirtyRegion, getInserted, getPreviousAttributes, getRemoved, getSource, setDirtyRegion`

Method Detail

### getConnectionSet

    public ConnectionSet getConnectionSet()

  Returns a connection set representing the graph structure after the change was applied

  Returns:
    the connection set of the graph after the change

### getPreviousConnectionSet

    public ConnectionSet getPreviousConnectionSet()

  Returns a connection set representing the graph structure before the change was applied ( an "undo" of the change).

  Returns:
    the connection set of the graph before the change

### getParentMap

    public ParentMap getParentMap()

  Returns a parent map representing the group structure after the change was applied

  Returns:
    the changed parent map

### getPreviousParentMap

    public ParentMap getPreviousParentMap()

  Returns a parent map representing the group structure before the change was applied ( an "undo" of the change )

  Returns:
    the previous parent map

### putViews

    public void putViews(GraphLayoutCache view,
                         CellView[] cellViews)

  Allows a `GraphLayoutCache` to store cell views for cells that have been removed. Such cell views are used for re-insertion and restoring the visual attributes.

  Parameters:
    `view` - the `GraphLayoutCache` to store the removed cells
    `cellViews` - the cell views to be stored

### getViews

    public CellView[] getViews(GraphLayoutCache view)

  Allows a `GraphLayoutCache` to retrieve an array of `CellViews` that was previously stored with `putViews(GraphLayoutCache, CellView[])`.

  Parameters:
    `view` - the `GraphLayoutCache` whose stored cells are to be retrieved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.